External Reservations [Beta]

This API is currently in Beta for select developers. If you'd like to be added to beta please email [email protected]

Limited API endpoint that allows partners to sync reservation records into Commerce7. Synced reservations are displayed in view-only mode; they are visible to clients within the platform, but cannot be modified through the Commerce7 interface.




Create

POST /v2/reservation-external

Request Body

{
  "channel": "Web",
  "customerId": "07b41e01-1a65-4f69-be38-7287269cac1c",
  "reservationDate": "2017-01-01T00:00:00.000Z",
  "experience": "Standard Tasting",
  "guestCount": 2,
  "price": 15000,
  "table": "Table 1"
  "notes": "This is my notes",
  "externalReservationVendor: "",
  "externalReservationNumber": 1234,
  "status": "Paid"
}

Upsert

POST /v2/reservation-external/upsert

Delete

DELETE /v2/reservation-external/{:vendor}/{:number}

List

GET /v2/reservation-external




Field Definitions

FieldTypeRequired
customerIdstringYes
channelenumYes
reservationDatedate ISOYes
experiencestringYes
guestCountintegerYes
externalReservationVendorstringYes
externalReservationNumberintegerYes
statusstring (enum)Yes
priceintegerYes
tablestringNo
notesstringNo
updatedAtdate ISOYes
createdAtdate ISOYes

Behaviour

  • Records are read-only
  • Commerce7 users cannot edit or delete synced reservations through the UI
  • The externalReservationVendor field value will be displayed as a label (e.g., "Synced from ___")
  • Guest email/phone are displayed for reference but will not trigger Commerce7 automated communications (confirmation emails, reminders, etc.)
  • If the partner system sends a status update (e.g., Cancelled), the record will reflect the updated status in the UI

Areas Affected

  • Synced reservations are listed in the Customer's "Reservations" tab
  • Basic reservation reports and queries can query fields synced to provide a list of reservations
  • When starting an order from a reservation on the POS, external reservations will be listed

Did this page help you?